#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_SeniorDivideJackpotCFGData
{
	//编号
	int mID;
	//类型
	int mType;
	//权重
	int mWeight;
	//瓜分奖池最小值
	int mDivideJackpotMin;
	//瓜分奖池最大值
	int mDivideJackpotMax;
};

class Fish_SeniorDivideJackpotCFG
{
public:
private:
	static std::auto_ptr<Fish_SeniorDivideJackpotCFG> msSingleton;
public:
	int GetCount();
	const Fish_SeniorDivideJackpotCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_SeniorDivideJackpotCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_SeniorDivideJackpotCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_SeniorDivideJackpotCFGData> mMapData;
};
